> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.uniledger.cc/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.uniledger.cc/_mcp/server.

# List sales orders with line items

GET https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders

Reference: https://docs.uniledger.cc/api-reference/eilith-public-rest-api/orders/list-orders

## Authentication

- `Authorization` header (bearer token, required) — API key prefixed with uk_live_

## Servers

- `https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api` (Production, default)
- `https://pmjidplmzxohyqsbajvg.supabase.co/functions/v1/platform-api` (Staging)

## Request

### Query parameters

- `limit` (integer, optional, default: 25)
- `cursor` (string, optional)
- `sort` (string, optional, default: created_at)
- `order` (enum, optional, default: desc)
  - Allowed values: `asc`, `desc`
- `status` (enum, optional)
  - Allowed values: `draft`, `confirmed`, `fulfilled`, `cancelled`

## Response

### 200

Paginated order list

- `data` (list of object, optional)
  - `id` (string, optional)
  - `tenant_id` (string, optional)
  - `customer_name` (string, optional, nullable)
  - `customer_email` (string, optional, nullable)
  - `customer_phone` (string, optional, nullable)
  - `status` (enum, optional)
    - Allowed values: `draft`, `confirmed`, `fulfilled`, `cancelled`
  - `currency_code` (string, optional)
  - `subtotal` (double, optional)
  - `tax_total` (double, optional)
  - `grand_total` (double, optional)
  - `source` (string, optional)
  - `sales_order_lines` (list of object, optional)
    - `id` (string, optional)
    - `sales_order_id` (string, optional)
    - `line_no` (integer, optional)
    - `inventory_item_id` (string, optional, nullable)
    - `description` (string, optional, nullable)
    - `quantity` (double, optional)
    - `unit_price` (double, optional)
    - `discount_pct` (double, optional)
    - `tax_pct` (double, optional)
    - `total` (double, optional)
  - `created_at` (datetime, optional)
  - `updated_at` (datetime, optional)
- `pagination` (object, optional)
  - `next_cursor` (string, optional, nullable)
  - `has_more` (boolean, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "string",
      "tenant_id": "string",
      "customer_name": "string",
      "customer_email": "string",
      "customer_phone": "string",
      "status": "draft",
      "currency_code": "string",
      "subtotal": 1.1,
      "tax_total": 1.1,
      "grand_total": 1.1,
      "source": "string",
      "sales_order_lines": [
        {
          "id": "string",
          "sales_order_id": "string",
          "line_no": 1,
          "inventory_item_id": "string",
          "description": "string",
          "quantity": 1.1,
          "unit_price": 1.1,
          "discount_pct": 1.1,
          "tax_pct": 1.1,
          "total": 1.1
        }
      ],
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T09:30:00Z"
    }
  ],
  "pagination": {
    "next_cursor": "string",
    "has_more": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/orders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```